summaryrefslogtreecommitdiffstats
path: root/.local/bin/ifinstalled
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2019-05-19 20:05:14 -0400
committerLuke Smith <luke@lukesmith.xyz>2019-05-19 20:05:14 -0400
commitc6e69e96421ebf192eb6de537324e269e7bfda78 (patch)
tree47d34a5ff72d65be9a3e2c6aeb55a88da3a6fbd2 /.local/bin/ifinstalled
parentbf8c6b1e20f42a7725d8d919830fdb274596b20f (diff)
downloadeibhear-c6e69e96421ebf192eb6de537324e269e7bfda78.tar.gz
eibhear-c6e69e96421ebf192eb6de537324e269e7bfda78.tar.zst
eibhear-c6e69e96421ebf192eb6de537324e269e7bfda78.zip
massive cleanup
Diffstat (limited to '.local/bin/ifinstalled')
-rwxr-xr-x.local/bin/ifinstalled3
1 files changed, 3 insertions, 0 deletions
diff --git a/.local/bin/ifinstalled b/.local/bin/ifinstalled
new file mode 100755
index 0000000..b0d23e5
--- /dev/null
+++ b/.local/bin/ifinstalled
@@ -0,0 +1,3 @@
+#!/bin/sh
+# If $1 command is not available, error code and notify.
+command -v "$1" >/dev/null || { notify-send "📦 $1" "must be installed for this function." && exit 1 ;}